# Contributing

Thank you for using animated login and sincerely for your interest in contributing to the package!

Please read this document carefully before doing anything else!

## General Rules

Above you will see the type of contribution you have. For all of them, please follow the rules defined below. These rules are so important to make communication clearer and in a more gentle way.

* Please first read this document and the readme file carefully.
* Do not forget to use clear and understandable English.
* Do not write rude sentences, always be polite to other contributors, and value the time people share with you.

## Types of Contributions

After reading the rules above, please find the most appropriate type for your contribution.

### 1- Questions

First thing first, questions may not be a bug, an issue or a feature. So, if you are not sure, please do not open issues for questions.

Make sure you read the [Readme Document](https://github.com/bahricanyesil/flutter-animated-login/blob/master/README.md) carefully before asking any question. I tried to explain which parameters perform which features and how to use them as much as possible.

After reading the readme document, if you still think that you have a question please ask it in [the discussions tab](https://github.com/bahricanyesil/flutter-animated-login/discussions).

### 2- Bugs / Issues

If you found a bug or issue, please report it! Even if you are not sure whether it's a bug, feel free to open an issue. Let's discuss the details together!

However, there is one thing that you shouldn't forget. Before opening an issue, please search other open/closed issues to check whether we already have the same issue/bug. Maybe your issue was already reported, help me to avoid the duplicates.

Once you are certain your issue is new and haven't reported before, you can create an issue and select the `Bug Report` type. You **must** follow the template provided, please read it carefully.

### Feature Requests / PRs

Unless the PR you want to open is so simple (i.e. typo fixes, documentation improvements, etc), please open a Feature Request issue before opening a PR. You can explain the details in a clearer way in your feature request that you are want to contribute with a PR. However, it's important to have some discussion with other package users before starting to do anything complicated; we may have better suggestions of how to implement that feature.

In order to open a Feature Request issue, just select the "Feature Request" template on the issue creation screen. You **must** follow the guidelines in the template, please don't forget this.

Once your feature is discussed or approved to start working on it, feel free to send your PRs! However, there are some important PR rules:

* Make sure that your code runs for every platform as fully responsive.
* Follow the guidelines. Solve all of the problems which flutter_lints detect.
* Please write clean, beautiful and easy to understand code with comments and documentations.
* Don't forget to update the README/other docs accordingly with your change.
* Support all platforms, especially Android, IOS, and Web platforms. Don't forget the responsiveness feature while handling this step.
* If your changes are working in the `example` app, no problem. If it's not, please make the necessary changes and put some notes about why it wasn't working with the previous one. I will test your code with the new example that you will add.
* Add your change to the [CHANGELOG.md file](https://github.com/bahricanyesil/flutter-animated-login/blob/master/CHANGELOG.md).
